-- a = log(a) / log(2)
src0.a = temp[0] :
  temp[0].a = LN2 src0.a ;

-- a = a * 32.0 + 0
src0.a = temp[0] ,
src1.a = float(96) :  -- 32.0 (or any other constant)
  temp[0].a = MAD src0.a src1.a src1.0 ;

-- a = 2 ^ a
src0.a = temp[0] :
  temp[0].a = EX2 src0.a ;
